package com.unis.base.server.dao;

import org.springframework.transaction.annotation.Transactional;

import com.github.pagehelper.Page;
import com.unis.base.common.vo.DqyxxckVO;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: DCfxxsjyDao
 * @Description: 储备粮企业信息查看
 * @date 2019年12月7日 下午4:12:18
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
public interface DqyxxckDao {

	/**
	 * 根据企业名称获取-仓房-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getCfQyxxList(DqyxxckVO vo);

	/**
	 * 根据企业名称获取-设备-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getSbQyxxList(DqyxxckVO vo);

	/**
	 * 根据企业名称获取-药剂-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getYpQyxxList(DqyxxckVO vo);

	/**
	 * 根据企业名称获取-人员-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getRyQyxxList(DqyxxckVO vo);

	/**
	 * 根据企业名称获取-油罐-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getYgQyxxList(DqyxxckVO vo);

    Integer getRyTotal(DqyxxckVO vo);

    DqyxxckVO getCfQyxxTotal(DqyxxckVO vo);
}
